//=========================================================
//  MusE
//  Linux Music Editor
//  $Id: rack.h,v 1.1.1.1 2003/10/29 10:05:23 wschweer Exp $
//
//  (C) Copyright 2000 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __RACK_H__
#define __RACK_H__

#include <qlistbox.h>
class AudioNode;

//---------------------------------------------------------
//   EffectRack
//---------------------------------------------------------

class EffectRack : public QListBox {
      AudioNode* src;
      int channels;
      Q_OBJECT

      virtual QSize minimumSizeHint() const;

   private slots:
      void menuRequested(QListBoxItem*, const QPoint&);
      void doubleClicked(QListBoxItem*);
      void songChanged(int);

   public:
      EffectRack(QWidget*, AudioNode*, int);
      };

#endif

